package com.bofeng.dao;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.bofeng.entity.SysArea;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface SysAreaMapper extends BaseMapper<SysArea> {

    //查询省份
    List<SysArea> selectProvince();

    //查询省份下的城市
    List<SysArea> selectCityByProvince(@Param("areaId") Long areaId);

    //查询城市下的区
    List<SysArea> selectAreaByCity(@Param("areaId") Long areaId);

}
